/* 
 This is a sample BOSS configuration file for use in bossmin. 

 Change the BOSS_DB_HOST and BOSS_DB_DOMAIN below...
*/

/* BOSS top directory */
#define BOSS_TOP_DIR "/home/boss/boss-v3_3_pre4"

/* BOSS version */
#define BOSS_VERSION "v2_1"

/* BOSS temporary directory (where files are extracted from DB) */
#define BOSS_TMP_DIR "/tmp"

/* BOSS update interval (at most one query every BOSS_UPD_INTERVAL sec.) */
#define BOSS_UPD_INTERVAL 5

/* Host where the MySQL server is running */
#define BOSS_DB_HOST "bossmin"
#define BOSS_DB_DOMAIN "brunel.ac.uk"

/* BOSS MySQL database */
#define BOSS_DB_NAME "bossDummyProducer"

/* Default BOSS MySQL user and password */
#define BOSS_DB_USER "BOSSuser"
#define BOSS_DB_USER_PW "BOSSpassword"

/* Guest BOSS MySQL user and password */
#define BOSS_DB_GUEST "BOSSmonitor"
#define BOSS_DB_GUEST_PW "NULL"

/* MySQL table type */
#define BOSS_TABLE_TYPE ""

/* MySQL port */
#define BOSS_DB_PORT 0

/* MySQL socket */
#define BOSS_DB_SOCKET "NULL"

/* MySQL client flag */
#define BOSS_DB_CLIENT_FLAG 0
