#include "info/StreamProducer.hh"
/* Hack out for R-GMA 3.2.22
 #include "log4cpp/Category.hh"
 #include "log4cpp/SimpleConfigurator.hh"
*/
// for GetHostName
#include <unistd.h>
  
class Boss {
 public:

  // This is the constructor where the producers will be created
  Boss();

  //This is the function where a row will be inserted into the message producer
  int updateJobParameter(int idnum, string tab, string key, string val);

  // This is the destructor where the producers will be closed
  ~Boss();

 private:
  // fudge for demo start time
  char acTStart[32];

  // temp storage for jobId and timestamp
  char acJobId[50];
  char acTStamp[32];

/* Hack out for R-GMA 3.2.22
  // BOSS' log4cpp category:
  static log4cpp::Category *pLogCat;
  // static class APILogging& bosscat;
  //static APILogging& bosscat;
*/
  //This is a class variable to enable the producer to be used by all functions in the class
  edg::info::StreamProducer *pMessageProducer;
  edg::info::TimeInterval *pTimeInt; 
};
